
###################################################################################

# Add ScInc to system dump service
#sysdmp_add -show ScInc_SysDump

echo -text "Starting ScIncTasks and installs the driver/networks"

# SC INC DRIVER INSTALLATION:

# Debug from installation
# 768   = Hex 300
# 65534 = Hex FFFE
# 7168  = Hex 1c00
# 8190  = Hex 1FFE
#invoke2 -entry ScInc_Trace          -format int -int1 65534
#invoke2 -entry uprobe_console_trace -format int -int1 1
#invoke2 -entry eioevent_trace       -format int -int1 7168
#invoke2 -entry inc_trace            -format int -int1 8190

# Spawn driver tasks
task -slotname ScIncReadts -entp ScIncTaskRead -pri 72 -stcks 20000 -nosync -noreg
task -slotname ScIncts -entp ScIncTask -pri 72 -stcks 20000 -nosync -noreg

# Register driver
invoke -entry incInstallDriver -strarg "ScInc,ScInc_IncDriverEntry,ScInc_OutputEntry,BitMapped" -nomode

echo -text "End of ScIncTasks installation"
###################################################################################

